org.apache.commons.compress.harmony.pack200

## Class NewAttributeBands.Union

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.NewAttributeBands.LayoutElement
  - - org.apache.commons.compress.harmony.pack200.NewAttributeBands.Union

- All Implemented Interfaces:
    NewAttributeBands.AttributeLayoutElement
  Enclosing class:
    NewAttributeBands

      public class NewAttributeBands.Union
      extends NewAttributeBands.LayoutElement

  A Union is a type of layout element where the tag value acts as a selector for one of the union cases

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Union(String tag, List<NewAttributeBands.UnionCase> unionCases, List<NewAttributeBands.LayoutElement> body)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttributeToBand(NewAttribute attribute, InputStream inputStream)`
    `List<NewAttributeBands.LayoutElement>` | `getDefaultCaseBody()`
    `List<NewAttributeBands.UnionCase>` | `getUnionCases()`
    `NewAttributeBands.Integral` | `getUnionTag()`
    `void` | `pack(OutputStream outputStream)`
    `void` | `renumberBci(IntList bciRenumbering, Map<org.objectweb.asm.Label,Integer> labelsToOffsets)`

    - ### Methods inherited from class org.apache.commons.compress.harmony.pack200.NewAttributeBands.LayoutElement

      `getLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Union

          public Union(String tag,
                       List<NewAttributeBands.UnionCase> unionCases,
                       List<NewAttributeBands.LayoutElement> body)

  - ### Method Detail

    - #### addAttributeToBand

          public void addAttributeToBand(NewAttribute attribute,
                                         InputStream inputStream)

    - #### getDefaultCaseBody

          public List<NewAttributeBands.LayoutElement> getDefaultCaseBody()

    - #### getUnionCases

          public List<NewAttributeBands.UnionCase> getUnionCases()

    - #### getUnionTag

          public NewAttributeBands.Integral getUnionTag()

    - #### pack

          public void pack(OutputStream outputStream)
                    throws IOException,
                           Pack200Exception

      Throws:
        `IOException`
        `Pack200Exception`

    - #### renumberBci

          public void renumberBci(IntList bciRenumbering,
                                  Map<org.objectweb.asm.Label,Integer> labelsToOffsets)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.